%define anolis_release 3
%global source_dir  %{_datadir}/%{name}-source
%global inst_srcdir %{buildroot}/%{source_dir}

Name:             libev
Version:          4.33
Release:          %{anolis_release}%{?dist}
Summary:          High-performance event loop/event model with lots of features

License:          BSD or GPLv2+
URL:              http://software.schmorp.de/pkg/libev.html
Source0:          http://dist.schmorp.de/libev/Attic/%{name}-%{version}.tar.gz

BuildRequires:    autoconf
BuildRequires:    automake
BuildRequires:    coreutils
BuildRequires:    findutils
BuildRequires:    gcc
BuildRequires:    libtool
BuildRequires:    make
BuildRequires:    tar

Provides:         bundled(libecb) = 1.05

%description
Libev is modeled (very loosely) after libevent and the Event Perl
module, but is faster, scales better and is more correct, and also more
featureful. And also smaller.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary:          Development headers for libev
Requires:         %{name} = %{version}-%{release}

%description devel
This package contains the development headers and libraries for libev.

%package libevent-devel
Summary:          Compatibility development header with libevent for %{name}.
Requires:         %{name}-devel = %{version}-%{release}

# The event.h file actually conflicts with the one from libevent-devel
Conflicts:        libevent-devel

%description libevent-devel
This package contains a development header to make libev compatible with
libevent.

%package source
Summary:          High-performance event loop/event model with lots of features
BuildArch:        noarch
Provides:         bundled(libecb) = 1.05

%description source
This package contains the source code for libev.

%prep
%autosetup -p0
autoreconf -vfi

%build
%configure --disable-static --with-pic
%make_build

%check
make check

%install
%make_install
rm -vf %{buildroot}%{_libdir}/%{name}.la

# Make the source package
mkdir -p %{inst_srcdir}
find . -type f | grep -E '.*\.(c|h|am|ac|inc|m4|h.in|man.pre|pl|txt)$' | xargs tar cf - | (cd %{inst_srcdir} && tar xf -)
install -p -m 0644 Changes ev.pod LICENSE README %{inst_srcdir}

%ldconfig_scriptlets

%generate_compatibility_deps

%files
%license LICENSE
%dir %{abidir}
%{_libdir}/%{name}.so.4*
%{abidir}/%{name}.dump

%files doc
%doc Changes README

%files devel
%{_includedir}/ev++.h
%{_includedir}/ev.h
%{_libdir}/%{name}.so
%{_mandir}/man?/*

%files libevent-devel
%{_includedir}/event.h

%files source
%{source_dir}

%changelog
* Tue Feb 14 2023 Ziyang Zhang <ZiyangZhang@linux.alibaba.com> - 4.33-3
- add abi/api files

* Fri Sep 30 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 4.33-2
- add doc package

* Wed Apr 06 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 4.33-1
- Init from upstream version 4.33

